[arch-commits] Commit in alsa-utils/repos (3 files)

Tobias Powalowski tpowa at archlinux.org
Tue Jun 9 14:05:11 EDT 2009


    Date: Tuesday, June 9, 2009 @ 14:05:11
  Author: tpowa
Revision: 42044

Merged revisions 42042 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/alsa-utils/trunk

........
  r42042 | tpowa | 2009-06-09 18:03:15 +0000 (Di, 09 Jun 2009) | 1 line
  
  upgpkg: alsa-utils 1.0.20-2
........

Added:
  alsa-utils/repos/extra-x86_64/alsactl-init-fix-headphone.patch
    (from rev 42042, alsa-utils/trunk/alsactl-init-fix-headphone.patch)
Modified:
  alsa-utils/repos/extra-x86_64/	(properties)
  alsa-utils/repos/extra-x86_64/PKGBUILD

----------------------------------+
 PKGBUILD                         |   13 +++++++++----
 alsactl-init-fix-headphone.patch |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 4 deletions(-)


Property changes on: alsa-utils/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /alsa-utils/trunk:1-38583
   + /alsa-utils/trunk:1-42043

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-09 18:03:57 UTC (rev 42043)
+++ extra-x86_64/PKGBUILD	2009-06-09 18:05:11 UTC (rev 42044)
@@ -2,7 +2,7 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=alsa-utils
 pkgver=1.0.20
-pkgrel=1
+pkgrel=2
 pkgdesc="An alternative implementation of Linux sound support"
 arch=('i686' 'x86_64')
 url="http://www.alsa-project.org"
@@ -10,13 +10,17 @@
 depends=("alsa-lib>1.0.19.99" 'dialog' 'pciutils' 'ncurses')
 makedepends=('xmlto' 'docbook-xsl')
 license=('GPL')
-source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2 \
-        alsa alsaconf.patch alsa.conf.d)
+source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
+        alsa
+        alsaconf.patch
+        alsa.conf.d
+        alsactl-init-fix-headphone.patch)
 backup=(etc/conf.d/alsa)
 
 build() {
   cd $startdir/src/$pkgname-${pkgver}
   patch -Np1 -i ../alsaconf.patch || return 1
+  patch -Np1 -i ../alsactl-init-fix-headphone.patch || return 1
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=$startdir/pkg install
@@ -26,4 +30,5 @@
 md5sums=('6837e673ef19da96d8bd2f9e18cd9574'
          '9dff78913b13b10e67c4195e90395ed2'
          '434102eb210cc452e3dfd2a4a9841881'
-         '93089f0d8872078939f76dd2acaebc2b')
+         '93089f0d8872078939f76dd2acaebc2b'
+         '7ac2e3ddf559c7383806c6f5844ad583')

Copied: alsa-utils/repos/extra-x86_64/alsactl-init-fix-headphone.patch (from rev 42042, alsa-utils/trunk/alsactl-init-fix-headphone.patch)
===================================================================
--- extra-x86_64/alsactl-init-fix-headphone.patch	                        (rev 0)
+++ extra-x86_64/alsactl-init-fix-headphone.patch	2009-06-09 18:05:11 UTC (rev 42044)
@@ -0,0 +1,35 @@
+From 0d3aeb969592134f7749bd21fd2f641eb13d7090 Mon Sep 17 00:00:00 2001
+From: Jaroslav Kysela <perex at perex.cz>
+Date: Fri, 15 May 2009 12:37:48 +0200
+Subject: [PATCH] alsactl: fixed Headphone Playback Volume setting in default rules
+
+Signed-off-by: Jaroslav Kysela <perex at perex.cz>
+---
+ alsactl/init/default |    4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/alsactl/init/default b/alsactl/init/default
+index c9aa7cc..af0f94f 100644
+--- a/alsactl/init/default
++++ b/alsactl/init/default
+@@ -46,7 +46,7 @@ CTL{name}="Front Playback Switch",PROGRAM=="__ctl_search", \
+   CTL{values}="on"
+ 
+ CTL{reset}="mixer"
+-CTL{name}="Headphone Playback Volume",PROGRAM=="__ctl_search",GOTO="headphone0_end"
++CTL{name}="Headphone Playback Volume",PROGRAM!="__ctl_search",GOTO="headphone0_end"
+ # if master volume control is present, turn headphone volume to max
+ ENV{has_pmaster_vol}=="true",CTL{values}="0dB",RESULT=="0",GOTO="headphone0_end"
+ ENV{has_pmaster_vol}=="true",CTL{values)="100%",GOTO="headphone0_end"
+@@ -101,7 +101,7 @@ CTL{name}="DAC Playback Switch",PROGRAM=="__ctl_search", \
+   CTL{values}="on"
+ 
+ CTL{reset}="mixer"
+-CTL{name}="Synth Playback Volume",,PROGRAM=="__ctl_search", \
++CTL{name}="Synth Playback Volume",PROGRAM=="__ctl_search", \
+   CTL{values}="$env{pvolume}",RESULT!="0",CTL{values}="$env{ppercent}"
+ CTL{name}="Synth Playback Switch",PROGRAM=="__ctl_search", \
+   CTL{values}="on"
+-- 
+1.5.5.1
+



More information about the arch-commits mailing list